from common.Constants import ServiceNameEnum
from common.Settings import get_service_baseurl_http, get_service_port_http
from common.tools.service.GenericRestServer import GenericRestServer

class RestServer(GenericRestServer):
    def __init__(self, cls_name: str = __name__) -> None:
        bind_port = get_service_port_http(ServiceNameEnum.APP)
        base_url = get_service_baseurl_http(ServiceNameEnum.APP)
        super().__init__(bind_port, base_url, cls_name=cls_name)
